Межсайтовый скриптинг и SQL-инъекция в DeluxeBB

Дата публикации:
27.06.2006
Дата изменения:
17.10.2006
Всего просмотров:
2046
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-3304
CVE-2006-3303
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
DeluxeBB 1.x
Уязвимые версии: DeluxeBB 1.07, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "xmsn" в сценарии cp.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "to" в сценарии pm.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценарий в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.deluxebb.com

Решение: Установите исправленную версию с сайта производителя.

Ссылки: DeluxeBB <=1.07 XSS vuln
DeluxeBB <= 1.07 (cp.php) Create Admin Exploit

или введите имя

CAPTCHA